PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- SDSS Spectroscopic Data (`pydl.pydlspec2d`) »
- findspec

# findspec

`pydl.pydlspec2d.spec1d.``findspec`(*args, **kwargs)

  Find SDSS/BOSS spectra that match a given RA, Dec.

  Parameters:

  ra, dec : array-like, optional

  > If set, the first two positional arguments will be interpreted as RA, Dec.

  best : `bool`, optional

  > If set, return only the best match for each input RA, Dec.

  infile : `str`, optional

  > If set, read RA, Dec data from this file.

  outfile : `str`, optional

  > If set, print match data to this file.

  print : `bool`, optional

  > If set, print the match data to the console.

  run1d : `str`, optional

  > Override the value of `RUN1D`.

  run2d : `str`, optional

  > Override the value of `RUN2D`.

  sdss : `bool`, optional

  > If set, search for SDSS-I/II spectra instead of BOSS spectra.

  searchrad : `float`, optional

  > Search for spectra in this radius around given RA, Dec. Default is 3 arcsec.

  topdir : `str`, optional

  > If set, override the value of `SPECTRO_REDUX` or `BOSS_SPECTRO_REDUX`.

  Returns:

  `dict`

  > A dictionary containing plate, MJD, fiber, etc.